import type { SidebarsConfig } from "@docusaurus/plugin-content-docs";

const sidebar: SidebarsConfig = {
  apisidebar: [
    {
      type: "doc",
      id: "apis/control-plane/tsg-control-plane",
    },
    {
      type: "category",
      label: "Health",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/control-plane/health-controller-get-health",
          label: "Health check",
          className: "api-method get",
        },
      ],
    },
    {
      type: "category",
      label: "Settings",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/control-plane/config-controller-get-settings",
          label: "Retrieve settings",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/control-plane/config-controller-update-settings",
          label: "Update settings",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/control-plane/config-controller-upload-file",
          label: "Upload logo",
          className: "api-method post",
        },
      ],
    },
    {
      type: "category",
      label: "Authentication",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/control-plane/auth-controller-get-user",
          label: "Retrieve current user status",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/control-plane/auth-controller-login",
          label: "Login redirect",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/control-plane/auth-controller-logout",
          label: "Logout redirect",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/control-plane/auth-controller-callback",
          label: "Login callback",
          className: "api-method get",
        },
      ],
    },
    {
      type: "category",
      label: "Data Plane",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/control-plane/data-plane-controller-init",
          label: "Initialize data plane",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/control-plane/data-plane-controller-update",
          label: "Update data plane",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/control-plane/data-plane-controller-update-catalog",
          label: "Update catalog",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/control-plane/data-plane-controller-add-dataset",
          label: "Add dataset",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/control-plane/data-plane-controller-update-dataset",
          label: "Update dataset",
          className: "api-method put",
        },
        {
          type: "doc",
          id: "apis/control-plane/data-plane-controller-delete-dataset",
          label: "Delete dataset",
          className: "api-method delete",
        },
      ],
    },
    {
      type: "category",
      label: "Data Plane Management",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/control-plane/dataplane-management-controller-get-data-planes",
          label: "Get all dataplanes",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/control-plane/dataplane-management-controller-add-dataplane",
          label: "Add a dataplane",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/control-plane/dataplane-management-controller-update-dataplane",
          label: "Update a dataplane",
          className: "api-method put",
        },
        {
          type: "doc",
          id: "apis/control-plane/dataplane-management-controller-delete-data-plane",
          label: "Delete a dataplane",
          className: "api-method delete",
        },
      ],
    },
    {
      type: "category",
      label: "Catalog",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/control-plane/catalog-controller-request",
          label: "Request catalog",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/control-plane/catalog-controller-get-dataset",
          label: "Get dataset",
          className: "api-method get",
        },
      ],
    },
    {
      type: "category",
      label: "Catalog Management",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/control-plane/catalog-management-controller-request-catalog",
          label: "Request catalog",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/control-plane/catalog-management-controller-request-dataset",
          label: "Request dataset",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/control-plane/catalog-management-controller-add-dataset",
          label: "Add dataset",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/control-plane/catalog-management-controller-update-dataset",
          label: "Update dataset",
          className: "api-method put",
        },
        {
          type: "doc",
          id: "apis/control-plane/catalog-management-controller-delete-dataset",
          label: "Delete dataset",
          className: "api-method delete",
        },
      ],
    },
    {
      type: "category",
      label: "Negotiations",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/control-plane/negotiation-controller-request",
          label: "Request a new negotiation",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/control-plane/negotiation-controller-get-negotiation",
          label: "Get negotiation status by ID",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/control-plane/negotiation-controller-request-with-id",
          label: "Request negotiation with ID",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/control-plane/negotiation-controller-negotiation-event",
          label: "Handle negotiation event",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/control-plane/negotiation-controller-agreement-verification",
          label: "Verify agreement",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/control-plane/negotiation-controller-negotiation-termination",
          label: "Terminate negotiation",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/control-plane/negotiation-controller-callback-offer",
          label: "Handle negotiation callback offer",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/control-plane/negotiation-controller-callback-agreement",
          label: "Handle negotiation callback agreement",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/control-plane/negotiation-controller-callback-event",
          label: "Handle negotiation callback event",
          className: "api-method post",
        },
      ],
    },
    {
      type: "category",
      label: "Negotiations Management",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/control-plane/negotiation-management-controller-get-negotiations",
          label: "Get all negotiations",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/control-plane/negotiation-management-controller-get-negotiations-from-dataset-id",
          label: "Get all negotiations for a dataset",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/control-plane/negotiation-management-controller-get-negotiation",
          label: "Get a negotiation by process ID",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/control-plane/negotiation-management-controller-request-new-negotiation",
          label: "Request a new negotiation",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/control-plane/negotiation-management-controller-request-existing-negotiation",
          label: "Request an existing negotiation",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/control-plane/negotiation-management-controller-offer",
          label: "Submit an offer for an existing negotiation",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/control-plane/negotiation-management-controller-agree",
          label: "Agree to a negotiation",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/control-plane/negotiation-management-controller-verify",
          label: "Verify a negotiation agreement",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/control-plane/negotiation-management-controller-finalize",
          label: "Finalize a negotiation",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/control-plane/negotiation-management-controller-terminate",
          label: "Terminate a negotiation",
          className: "api-method post",
        },
      ],
    },
    {
      type: "category",
      label: "Transfers",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/control-plane/transfer-controller-request",
          label: "Request a transfer",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/control-plane/transfer-controller-get-transfer",
          label: "Get transfer status by ID",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/control-plane/transfer-controller-start-transfer-process",
          label: "Start transfer process",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/control-plane/transfer-controller-complete-transfer-process",
          label: "Complete transfer process",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/control-plane/transfer-controller-terminate-transfer-process",
          label: "Terminate transfer process",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/control-plane/transfer-controller-suspend-transfer-process",
          label: "Suspend transfer process",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/control-plane/transfer-controller-callback-start-transfer-process",
          label: "Callback to start transfer process",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/control-plane/transfer-controller-callback-complete-transfer-process",
          label: "Callback to complete transfer process",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/control-plane/transfer-controller-callback-terminate-transfer-process",
          label: "Callback to terminate transfer process",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/control-plane/transfer-controller-callback-suspend-transfer-process",
          label: "Callback to suspend transfer process",
          className: "api-method post",
        },
      ],
    },
    {
      type: "category",
      label: "Transfers Management",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/control-plane/transfer-management-controller-get-transfers",
          label: "Get all transfers",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/control-plane/transfer-management-controller-get-transfer",
          label: "Get transfer details by process ID",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/control-plane/transfer-management-controller-request-transfer",
          label: "Request a new transfer",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/control-plane/transfer-management-controller-start-transfer",
          label: "Start a transfer process",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/control-plane/transfer-management-controller-complete-transfer",
          label: "Complete a transfer process",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/control-plane/transfer-management-controller-terminate-transfer",
          label: "Terminate a transfer process",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/control-plane/transfer-management-controller-suspend-transfer",
          label: "Suspend a transfer process",
          className: "api-method post",
        },
      ],
    },
    {
      type: "category",
      label: "Registry",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/control-plane/registry-controller-get-catalogs",
          label: "Get all catalogs",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/control-plane/registry-controller-request-addresses",
          label: "Request all addresses",
          className: "api-method get",
        },
      ],
    },
    {
      type: "category",
      label: "Registry Management",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/control-plane/registry-client-controller-request-catalogs",
          label: "Request catalogs",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/control-plane/registry-client-controller-request-addresses",
          label: "Request addresses",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/control-plane/registry-client-controller-request-did-documents",
          label: "Request DID Documents",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/control-plane/registry-client-controller-get-catalogs",
          label: "Get catalogs",
          className: "api-method get",
        },
      ],
    },
    {
      type: "category",
      label: "Status",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/control-plane/status-controller-get-status",
          label: "Application status",
          className: "api-method get",
        },
      ],
    },
    {
      type: "category",
      label: "Agreement",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/control-plane/agreement-management-controller-get-agreement",
          label: "Get an agreement by agreement ID",
          className: "api-method get",
        },
      ],
    },
    {
      type: "category",
      label: "Evaluation",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/control-plane/policy-evaluation-controller-get-last-context",
          label: "Retrieve last evaluation context",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/control-plane/policy-evaluation-controller-get-last-decision",
          label: "Retrieve last evaluation decision",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/control-plane/policy-evaluation-controller-evaluate",
          label: "Retrieve last evaluation context",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/control-plane/policy-evaluation-controller-evaluate-data-plane",
          label: "Retrieve last evaluation context",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/control-plane/rule-repository-controller-get-constraints",
          label: "Retrieve constraints",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/control-plane/rule-repository-controller-add-constraint",
          label: "Add constraint",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/control-plane/rule-repository-controller-get-constraint-by-odrl",
          label: "Get constraint by ODRL",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/control-plane/rule-repository-controller-get-constraint",
          label: "Get constraint",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/control-plane/rule-repository-controller-delete-constraint",
          label: "Delete constraint",
          className: "api-method delete",
        },
        {
          type: "doc",
          id: "apis/control-plane/rule-repository-controller-update-constraint",
          label: "Update constraint",
          className: "api-method put",
        },
        {
          type: "doc",
          id: "apis/control-plane/rule-repository-controller-get-constraint-odrl",
          label: "Get constraint ODRL",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/control-plane/rule-repository-controller-get-rules",
          label: "Retrieve rules",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/control-plane/rule-repository-controller-add-rule",
          label: "Add rule",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/control-plane/rule-repository-controller-get-rule",
          label: "Get rule",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/control-plane/rule-repository-controller-delete-rule",
          label: "Delete rule",
          className: "api-method delete",
        },
        {
          type: "doc",
          id: "apis/control-plane/rule-repository-controller-update-rule",
          label: "Update rule",
          className: "api-method put",
        },
        {
          type: "doc",
          id: "apis/control-plane/rule-repository-controller-get-rule-odrl",
          label: "Get rule ODRL",
          className: "api-method get",
        },
      ],
    },
    {
      type: "category",
      label: "Schemas",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/control-plane/schemas/runtimeconfigdto",
          label: "RuntimeConfigDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/errordto",
          label: "ErrorDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/databasestatusdto",
          label: "DatabaseStatusDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/memoryusagedto",
          label: "MemoryUsageDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/negotiationstatusdto",
          label: "NegotiationStatusDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/transferstatusdto",
          label: "TransferStatusDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/statusdto",
          label: "StatusDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/clientinfo",
          label: "ClientInfo",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/authenticateduser",
          label: "AuthenticatedUser",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/unauthenticateduser",
          label: "UnauthenticatedUser",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/constraintschema",
          label: "ConstraintSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/permissionschema",
          label: "PermissionSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/prohibitionschema",
          label: "ProhibitionSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/dutyschema",
          label: "DutySchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/policyschema",
          label: "PolicySchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/durationschema",
          label: "DurationSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/datasetschema",
          label: "DatasetSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/dataplanecreation",
          label: "DataPlaneCreation",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/dataplanedetailsdto",
          label: "DataPlaneDetailsDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/resourceschema",
          label: "ResourceSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/catalogrecordschema",
          label: "CatalogRecordSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/dataserviceschema",
          label: "DataServiceSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/catalogschema",
          label: "CatalogSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/catalogrequestmessageschema",
          label: "CatalogRequestMessageSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/offerschema",
          label: "OfferSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/contractrequestmessageschema",
          label: "ContractRequestMessageSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/contractnegotiationschema",
          label: "ContractNegotiationSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/contractnegotiationeventmessageschema",
          label: "ContractNegotiationEventMessageSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/hashedmessageschema",
          label: "HashedMessageSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/contractagreementverificationmessageschema",
          label: "ContractAgreementVerificationMessageSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/multilanguageschema",
          label: "MultilanguageSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/contractnegotiationterminationmessageschema",
          label: "ContractNegotiationTerminationMessageSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/contractoffermessageschema",
          label: "ContractOfferMessageSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/agreementschema",
          label: "AgreementSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/contractagreementmessageschema",
          label: "ContractAgreementMessageSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/negotiationprocesseventdto",
          label: "NegotiationProcessEventDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/negotiationdetaildto",
          label: "NegotiationDetailDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/endpointpropertyschema",
          label: "EndpointPropertySchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/dataaddressschema",
          label: "DataAddressSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/transferrequestmessageschema",
          label: "TransferRequestMessageSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/transferprocessschema",
          label: "TransferProcessSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/transferstartmessageschema",
          label: "TransferStartMessageSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/transfercompletionmessageschema",
          label: "TransferCompletionMessageSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/transferterminationmessageschema",
          label: "TransferTerminationMessageSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/transfersuspensionmessageschema",
          label: "TransferSuspensionMessageSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/dataplaneproperty",
          label: "DataPlaneProperty",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/dataplaneaddressdto",
          label: "DataPlaneAddressDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/dataplanetransferdto",
          label: "DataPlaneTransferDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/transfereventdto",
          label: "TransferEventDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/transferdetaildto",
          label: "TransferDetailDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/statusmessage",
          label: "StatusMessage",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/credentialstatus",
          label: "CredentialStatus",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/credentialsubject",
          label: "CredentialSubject",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/proof",
          label: "Proof",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/verifiablecredential",
          label: "VerifiableCredential",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/evaluationcontext",
          label: "EvaluationContext",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/evaluationdecision",
          label: "EvaluationDecision",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/constrainttype",
          label: "ConstraintType",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/constraintmodel",
          label: "ConstraintModel",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/ruletype",
          label: "RuleType",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/rule",
          label: "Rule",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/credentialaddress",
          label: "CredentialAddress",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/jsonwebkeydto",
          label: "JsonWebKeyDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/verificationmethoddto",
          label: "VerificationMethodDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/servicedto",
          label: "ServiceDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/control-plane/schemas/diddocumentdto",
          label: "DIDDocumentDto",
          className: "schema",
        },
      ],
    },
  ],
};

export default sidebar.apisidebar;
